.pop-up-wrapper {
    width: 100%;
    min-height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    top: 0;
    right: 0;
    z-index: 100000 !important;

    /* Фон з легким розмиттям та плавним переходом кольорів */
    background: linear-gradient(120deg, rgba(109, 213, 237, 0.5) 0%, rgba(136, 203, 128, 0.5) 50%, rgba(234, 250, 241, 0.5) 100%);
    backdrop-filter: blur(20px);

    /* Додатковий шар для прозоріших кутів */
    position: relative;

    &::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: -1;
        background: radial-gradient(circle at top left, transparent, rgba(255, 255, 255, 0.2)),
            radial-gradient(circle at top right, transparent, rgba(255, 255, 255, 0.2)),
            radial-gradient(circle at bottom left, transparent, rgba(255, 255, 255, 0.2)),
            radial-gradient(circle at bottom right, transparent, rgba(255, 255, 255, 0.2));
        pointer-events: none;
    }
}



/* Анімація для плавного переміщення градієнта */
@keyframes gradientShift {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

.pop-up-content {
    max-width: 190px;
    width: 100%;
    margin: 0 auto;
}

.pop-up-logo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    left: 90px;

    .pop-up-logo__text {
        display: flex;
        flex-direction: column;

        .pop-up-logo__text-gusto {
            font-size: 40px;
            line-height: 42px;
            color: #3BB77E;
            font-weight: 800;
        }


        .pop-up-logo__text-shop {
            font-size: 16px;
            line-height: 18px;
            color: #000;
            font-weight: 600;
            text-align: center;
        }
    }
}

.pop-up-wrap {
    width: 100%;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;

}

.pop-up {
    animation: rotate 2s infinite;
    height: 50px;
    width: 50px;
}

.pop-up:before,
.pop-up:after {
    border-radius: 50%;
    content: "";
    display: block;
    height: 20px;
    width: 20px;
}


.pop-up:before {
    animation: ball1 1s infinite;
    background-color: #b6f3b6;
    box-shadow: 30px 0 0 #3BB77E;
    margin-bottom: 10px;
}


.pop-up:after {
    animation: ball2 1s infinite;
    background-color: #3BB77E;
    box-shadow: 30px 0 0 #b6f3b6;
}